drop view if exists otel.otel_traces_flat_spring_boot on cluster default sync;
create view if not exists otel.otel_traces_flat_spring_boot on cluster default as
select toUnixTimestamp64Nano(Timestamp)           as Timestamp,
       ot1.Timestamp                              as DateTime,
       TraceId,
       SpanId,
       ParentSpanId,
       TraceState,
       SpanName,
       SpanKind,
       ScopeName,
       ServiceName,
       srcIP                                      as ServiceIP,
       Duration,
       ContainerId,
       srcIP                                      as SrcIP,
       CAST(srcPort as String)                    as SrcPort,
       targetIP                                   as TargetIP,
       CAST(targetPort as String)                 as TargetPort,
       RPCType,
       RPCName,
       RPCRequest,
       RPCResult,
       FuncNameSpace,
       FuncName,
       FuncLineNO,
       FuncResult,
       StatusCode                                 as Status,
       StatusMessage,
       arrayStringConcat(Exceptions.message, ';') as Exceptions
from otel.traces as ot1;