package com.cecf.observe;

import org.apache.flink.api.common.functions.FilterFunction;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.util.Arrays;
import java.util.HashSet;
import java.util.Set;

public class AppNameFilter implements FilterFunction<PojoSpan> {
    Logger logger = LoggerFactory.getLogger(AppNameFilter.class);

    public AppNameFilter(String[] appNameList) {
        this.includeAppNames = appNameList == null ? null : new HashSet<>(Arrays.asList(appNameList));
        this.enabled = appNameList != null && appNameList.length > 0;
        logger.info("[AppNameFilter] Enabled: {}", this.enabled);
    }

    Set<String> includeAppNames;
    boolean enabled;

    @Override
    public boolean filter(PojoSpan springBootSpan) throws Exception {
        if (!this.enabled) {
            return true;
        }
        return this.includeAppNames.contains(springBootSpan.AppName);
    }
}
