package com.cecf.observe;

import org.apache.flink.api.common.functions.FilterFunction;

import java.util.Arrays;
import java.util.HashSet;
import java.util.Set;

public class ServiceNameFilter implements FilterFunction<PojoSpan> {

    public ServiceNameFilter(String[] excludeServiceList) {
        this.excludeService = excludeServiceList == null ? null : new HashSet<>(Arrays.asList(excludeServiceList));
        this.enabled = excludeServiceList != null && excludeServiceList.length > 0;
    }

    Set<String> excludeService;
    boolean enabled;

    @Override
    public boolean filter(PojoSpan springBootSpan) throws Exception {
        if (!this.enabled) {
            return true;
        }
        return !this.excludeService.contains(springBootSpan.ServiceName);
    }
}
