package com.cecf.observe;

import org.apache.flink.api.common.functions.FilterFunction;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;
import java.util.stream.Collectors;

public class SpanKindFilter implements FilterFunction<PojoSpan> {
    List<Integer> inc;
    boolean enabled;

    public SpanKindFilter(int... includeKinds) {
        inc = Arrays.stream(includeKinds).boxed().collect(Collectors.toList());
        enabled = !inc.isEmpty();
    }

    @Override
    public boolean filter(PojoSpan pojoSpan) throws Exception {
        if (!enabled) {
            return true;
        }
        return inc.contains(pojoSpan.SpanKind);
    }
}
